> ## Documentation Index > Fetch the complete documentation index at: https://developers.cmicglobal.com/llms.txt > Use this file to discover all available pages before exploring further. # Create a New Registered Invoice Imaging Document > ### Overview This endpoint provides the ability to upload a document along with flysheet data to create an AP Miscellaneous Invoice with detail lines (department (G), job (J), and equipment (E) type lines). ### Notes · **srcUuid** and **docTypeUuid** identify the corresponding source and document type to which the document will be uploaded · payload also contains a header section (**headerFlysheet**, **headerData**) and a detail section (**detailFlysheet**, **detailData**) to support the different flysheet data components to be inserted ### UI Navigation Enterprise Content Management > Imaging > Flysheet > APREGINV ### Reference Article [Imaging – Imaging Control](https://docs.cmicglobal.com/portal/Content/E_Reference_Material/IMG_-_Imaging/Reference/Imaging_Control.htm?Highlight=ecm%20registered%20invoices) [Accounts Payable – Approve Registered Invoices](https://docs.cmicglobal.com/portal/Content/E_Reference_Material/AP_-_Accounts_Payable/Reference/Invoice_Registration/Approve_Registered_Invoices.htm?Highlight=AP%20Registered%20invoices) ### Commonly Used Body Parameters | CMiC UI Fieldname | Object | Name | Description | Type | Data Length | Example | | --- | --- | --- | --- | --- | --- | --- | | Company | headerData | Apri_Comp_Code | This is the company code associated with the AP miscellaneous invoice. Must be a valid CMiC Company Code. | string | 8 | 001 | | Vendor | headerData | Apri_Ven_Code | This is the vendor code associated with the AP miscellaneous invoice. Must be a valid vendor code in CMiC. | string | 10 | MICR01 | | Invoice Job Code | headerData | Apri_Job_Code | This is the (optional) job code associated with the AP miscellaneous invoice. Must be a valid job code in CMiC. | string | 10 | 017401 | | Invoice Registry Group Code | headerData | Apri_Group_Code | Invoice registration groups are used to group the access, entry and approval of invoices entered through the Register Invoices screen. Must be a valid Invoice Registry Group Code in CMiC. | string | 10 | CMIC | | Invoice Number | headerData | Apri_Inv_Code | This is the invoice number associated with this invoice. This number appears on the vendors’ invoice and it is not the same as the voucher number. | string | 20 | TESTINV988 | | Invoice Header Date | headerData | Apri_Inv_Date | This is the date the invoice was issued/created. | datetime | YYYY/MM/DD | 2025/03/31 | | Description | headerData | Apri_Desc | This is a short description for the invoice. | string | 30 | Purchases from Home Depot. | | Original Amount | headerData | Apri_Orig_Amt | Original invoice amount is the pre-tax invoice amount – this is used in the validation workflow. | number | 18 | 1825.00 | | Amount | headerData | Apri_Inv_Amt | This invoice amount can be the same as the Original Invoice Amount if no taxes are applied. Otherwise, this is the post-tax invoice amount (net amount). | number | 18 | 1825.00 | | Invoice Detail Line Number | detailData | Aprdist_Line_Num | This is the line number assigned to the detail line - unique to the invoice details. | number | 3 | 1 | | Detail Line Type | detailData | Aprdist_Type_Code | This is the line type assigned to the detail line – G for department type, J for job type, E for equipment type | string | 2 | G | | Detail Line Company Code | detailData | Aprdist_Comp_Code | This is the company code assigned to the detail line. | string | 8 | ZZ | | Job/Dept./Eqp. | detailData | Aprdist_User_Field2 | This field identifies the department code (for G types), job code (for J types) or the equipment code (for E types). | string | 10 | 00 | | Phase/Account/Category | detailData | Aprdist_User_Field3 | This field identifies the account code (for G types), phase code (for J types) or the equipment category code (for E types). | string | 16 | 1000 | | Category/Tran Code | detailData | Aprdist_User_Field4 | This field identifies the category code (for J types) or the tran code (for E types) - not applicable for G types. | string | 4 | | | Weight Measure Code | detailData | Aprdist_Wm_Code | This is the weight measure code associated with the detail line item. | string | 2 | NA | | Line Amount | detailData | Aprdist_Debit_Amt | This is the amount tied to the line item on the invoice. | number (with decimals) | 18, 2 | 100.00 | ## OpenAPI ````json POST /ecm-rest-api/jersey/v1/UploadData/uploadApRegInvoice { "openapi": "3.0.0", "info": { "title": "API Catalog", "description": "", "version": "1.0.0" }, "servers": [ { "url": "https://mobtest.cmiccloudr12.com/cmictestrti", "description": "CMIC API Server" } ], "security": [ { "cmicBasicAuth": [] } ], "tags": [ { "name": "Highlights" }, { "name": "Asset Management | Equipment" }, { "name": "Asset Management | Fixed Assets" }, { "name": "Asset Management | Purchase Order" }, { "name": "Asset Management | Inventory" }, { "name": "Asset Management | Requisition" }, { "name": "Asset Management | Purchase Change Order" }, { "name": "Bim Model" }, { "name": "Bim Model Revision" }, { "name": "Bim Tag Model" }, { "name": "Bim Tags" }, { "name": "Bim FileUpload Jersey" }, { "name": "Core System | Business Partners" }, { "name": "Core System | Business Partner Addresses" }, { "name": "Core System | Bank" }, { "name": "Core System | Currency" }, { "name": "Core System | Exchange Rates" }, { "name": "Core System | Global Table Text Codes" }, { "name": "Core System | Global Table Regions" }, { "name": "Core System | Terms" }, { "name": "Core System | System Contact" }, { "name": "Core System | Weight Measures" }, { "name": "Core System | Field User Defined Classifiers" }, { "name": "Core System | User Defined Classifiers by Object" }, { "name": "Core System | User Extension Definitions by Object" }, { "name": "Core System | User Extention Field Data Value" }, { "name": "Core System | User Extension Values by Object" }, { "name": "Core System | User System Role" }, { "name": "Core System | User Project Role" }, { "name": "Core System | Documents by Object" }, { "name": "Core System | Audit Status Log by Object" }, { "name": "Core System | Licensed Users" }, { "name": "Core System | Company Access" }, { "name": "Core System | Copy User Settings" }, { "name": "Core System | User Maintenance" }, { "name": "Core System | User Roles" }, { "name": "Core System | Security Groups" }, { "name": "Core System | Job/Project Security" }, { "name": "Core System | Weight Measure with Conversions Code" }, { "name": "Core System | Weight Measure Conversions Code" }, { "name": "Core System | User-defined-fields" }, { "name": "Core System | User-extension" }, { "name": "ECM and Workflow | Image Manager" }, { "name": "Financials | General Ledger" }, { "name": "Financials | Accounts Payable" }, { "name": "Financials | Accounts Receivable" }, { "name": "Preventative Maintenance | Issue Work Orders" }, { "name": "Preventative Maintenance | Issue Work Items" }, { "name": "Preventative Maintenance | Issue Work Budgets" }, { "name": "Preventative Maintenance | Issue Priorities" }, { "name": "Preventative Maintenance | Issue Status" }, { "name": "Preventative Maintenance | Issue Types" }, { "name": "Preventative Maintenance | Accumulative Equipment" }, { "name": "Preventative Maintenance | Work Orders" }, { "name": "Preventative Maintenance | Work Items" }, { "name": "Preventative Maintenance | Work Budgets" }, { "name": "Preventative Maintenance | Priorities" }, { "name": "Preventative Maintenance | Tasks" }, { "name": "HCM | UKG Pay Deductions" }, { "name": "HCM | UKG Pay Earnings" }, { "name": "HCM | UKG Pay Headers" }, { "name": "HCM | UKG Pay Taxes" }, { "name": "HCM | Payroll Geographical States" }, { "name": "HCM | Payroll Trades" }, { "name": "HCM | Payroll Union" }, { "name": "HCM | Payroll Pay Runs" }, { "name": "HCM | Payroll Pay Groups" }, { "name": "HCM | Payroll Tax" }, { "name": "HCM | Payroll Worker Compensation" }, { "name": "HCM | Payroll Work Locations" }, { "name": "HCM | Payroll Trade Pay Rates" }, { "name": "HCM | Payroll Union Pay Rates" }, { "name": "HCM | Payroll Job Pay Rates" }, { "name": "HCM | Payroll Master Benefits" }, { "name": "HCM | Payroll Master Deductions" }, { "name": "HCM | Payroll Ben/Ded/Leave Base Codes" }, { "name": "HCM | Payroll Ben/Ded Plans" }, { "name": "HCM | Payroll Ben/Ded Plan Options" }, { "name": "HCM | Payroll Company Benefits" }, { "name": "HCM | Payroll Company Deductions" }, { "name": "HCM | Payroll Vertex Geographic Locations" }, { "name": "HCM | Payroll Checks" }, { "name": "HCM | Payroll Timesheets" }, { "name": "HCM | Employee" }, { "name": "HCM | Employee (Minimum payload)" }, { "name": "HCM | Employee History" }, { "name": "HCM | Tax Exemptions" }, { "name": "HCM | Employee Tax Overrides" }, { "name": "HCM | Employee Pay Splits" }, { "name": "HCM | Employee Benefits" }, { "name": "HCM | Employee Clock In and Out" }, { "name": "HCM | Employee Deductions" }, { "name": "HCM | Employee Leaves" }, { "name": "HCM | Employee Leave History" }, { "name": "HCM | Employee Hour Types" }, { "name": "HCM | Employee Pay History" }, { "name": "HCM | Employee Work Statuses" }, { "name": "HCM | Employee Security Group" }, { "name": "HCM | Crewtime Crew" }, { "name": "HCM | Crewtime Employee Timesheet" }, { "name": "HCM | Crewtime Equipment Timesheet" }, { "name": "HCM | Crew Maintenance Activity Assignment" }, { "name": "HCM | Crew Maintenance Member Assignment" }, { "name": "HCM | Crew Maintenance Member Trade and Union Assignment" }, { "name": "HCM | Crew Maintenance Equipment Assignment" }, { "name": "HCM | Crew Maintenance Equipment Detail Assignment" }, { "name": "HCM | HR Requisitions" }, { "name": "HCM | HR Relations" }, { "name": "HCM | HR Employee Skills" }, { "name": "HCM | HR Incident" }, { "name": "HCM | HR Employee Relatives / Dependents" }, { "name": "HCM | HR Employee Positions" }, { "name": "HCM | HR Applicants" }, { "name": "HCM | HR Applications" }, { "name": "HCM | Vertex Location City" }, { "name": "HCM | HR Application History" }, { "name": "HCM | HR Dependent Benefits" }, { "name": "HCM | HR Dependent Deductions" }, { "name": "HCM | HR Employee Elected Plans" }, { "name": "HCM | HR Employee Training Certifications" }, { "name": "HCM | HR Trainings" }, { "name": "HCM | E-Timesheets" }, { "name": "HCM | System Contacts" }, { "name": "HCM | System User Payroll Security Group" }, { "name": "HCM | Payroll Timesheet Posting" }, { "name": "HCM | CrewTimesheet Posting" }, { "name": "HCM | HR Positions Master" }, { "name": "HCM | Payroll Pay Periods" }, { "name": "HCM | Payroll Rate Codes" }, { "name": "HCM | Payroll Overhead Codes and Rates" }, { "name": "HCM | Payroll Assigned Overhead to Jobs" }, { "name": "Materials Management | Material Sale Orders" }, { "name": "Materials Management | Material Sale Orders Details" }, { "name": "Materials Management | Truck Rate Detail" }, { "name": "Opportunity Management | Competitors" }, { "name": "Opportunity Management | Opportunities" }, { "name": "Opportunity Management | Revenue Details" }, { "name": "Opportunity Management | Opportunity History" }, { "name": "Opportunity Management | Organization" }, { "name": "Project Controls | Job Billing" }, { "name": "Project Controls | Job Cost" }, { "name": "Project Controls | PCI Details" }, { "name": "Project Controls | Unposted PCI Details" }, { "name": "Project Controls | PCI Headers" }, { "name": "Project Controls | Owner Change Orders" }, { "name": "Project Controls | CM Statuses" }, { "name": "Project Controls | CM Types" }, { "name": "Project Controls | CM Vendor Details" }, { "name": "Project Controls | Post PCI" }, { "name": "Project Management | Uploading Documents" }, { "name": "Project Management | Downloading Documents" }, { "name": "Project Management | Foreign Bid Item Imports" }, { "name": "Project Management | Communications" }, { "name": "Project Management | Daily Journals" }, { "name": "Project Management | Communications Types" }, { "name": "Project Management | Daily Journal Daily Work Plans" }, { "name": "Project Management | Daily Journal Field Forces" }, { "name": "Project Management | Daily Journal Labour" }, { "name": "Project Management | Daily Journal Materials" }, { "name": "Project Management | Daily Journal Owner Equipment" }, { "name": "Project Management | Daily Journal Quality Control" }, { "name": "Project Management | Daily Journal Tasks" }, { "name": "Project Management | Daily Journal Trade Equipment" }, { "name": "Project Management | Daily Journal Transactions" }, { "name": "Project Management | Daily Journal User Defined Data" }, { "name": "Project Management | Daily Journal Visitors" }, { "name": "Project Management | Daily Journal Bill Details" }, { "name": "Project Management | Field Work Directives" }, { "name": "Project Management | Contract Types" }, { "name": "Project Management | Company Contacts" }, { "name": "Project Management | Distribution BCC" }, { "name": "Project Management | Distribution CC" }, { "name": "Project Management | Field Work Directive Statuses" }, { "name": "Project Management | Issues" }, { "name": "Project Management | Key Players" }, { "name": "Project Management | Meetings" }, { "name": "Project Management | Meeting Attendees" }, { "name": "Project Management | Meeting Item Statuses" }, { "name": "Project Management | Meeting Tracks" }, { "name": "Project Management | Notes" }, { "name": "Project Management | Projects" }, { "name": "Project Management | Project Items" }, { "name": "Project Management | Project Item Phase Segment Sums" }, { "name": "Project Management | Project Partners" }, { "name": "Project Management | Notices" }, { "name": "Project Management | Notice Statuses" }, { "name": "Project Management | Owner JS Query" }, { "name": "Project Management | PCI Real Locations" }, { "name": "Project Management | Project Contacts" }, { "name": "Project Management | RFIs (Requests for Information)" }, { "name": "Project Management | RFI Statuses" }, { "name": "Project Management | Submittal Packages" }, { "name": "Project Management | Submittal Package Details" }, { "name": "Project Management | Submittal Package Status" }, { "name": "Project Management | Submittals" }, { "name": "Project Management | Submittal Status" }, { "name": "Project Management | Transmittals" }, { "name": "Project Management | Subcontract Headers" }, { "name": "Project Management | Subcontract Schedules" }, { "name": "Project Management | Subcontract Sechedule Phase Segment Sums" }, { "name": "Project Management | User Roles" }, { "name": "Project Management | Punchlists" }, { "name": "Project Management | Punchlist Details" }, { "name": "Project Management | Punchlist Statuses" }, { "name": "Project Management | Meeting Items" }, { "name": "Project Management | Self Perform Vendor" }, { "name": "Project Management | Submittal Types" }, { "name": "Project Management | Assign contact and partner to project" }, { "name": "Project Management | Subcontract Prequal" }, { "name": "Project Management | Bid Item Package" } ], "paths": { "/ecm-rest-api/jersey/v1/UploadData/uploadApRegInvoice": { "post": { "tags": [ "ECM and Workflow | Image Manager" ], "summary": "Create a New Registered Invoice Imaging Document", "description": "### Overview\n\nThis endpoint provides the ability to upload a document along with flysheet data to create an AP Miscellaneous Invoice with detail lines (department (G), job (J), and equipment (E) type lines).\n\n### Notes\n\n· **srcUuid** and **docTypeUuid** identify the corresponding source and document type to which the document will be uploaded\n\n· payload also contains a header section (**headerFlysheet**, **headerData**) and a detail section (**detailFlysheet**, **detailData**) to support the different flysheet data components to be inserted\n\n### UI Navigation\n\nEnterprise Content Management > Imaging > Flysheet > APREGINV\n\n### Reference Article\n\n[Imaging – Imaging Control](https://docs.cmicglobal.com/portal/Content/E_Reference_Material/IMG_-_Imaging/Reference/Imaging_Control.htm?Highlight=ecm%20registered%20invoices)\n\n[Accounts Payable – Approve Registered Invoices](https://docs.cmicglobal.com/portal/Content/E_Reference_Material/AP_-_Accounts_Payable/Reference/Invoice_Registration/Approve_Registered_Invoices.htm?Highlight=AP%20Registered%20invoices)\n\n### Commonly Used Body Parameters\n\n| CMiC UI Fieldname | Object | Name | Description | Type | Data Length | Example |\n| --- | --- | --- | --- | --- | --- | --- |\n| Company | headerData | Apri_Comp_Code | This is the company code associated with the AP miscellaneous invoice. Must be a valid CMiC Company Code. | string | 8 | 001 |\n| Vendor | headerData | Apri_Ven_Code | This is the vendor code associated with the AP miscellaneous invoice. Must be a valid vendor code in CMiC. | string | 10 | MICR01 |\n| Invoice Job Code | headerData | Apri_Job_Code | This is the (optional) job code associated with the AP miscellaneous invoice. Must be a valid job code in CMiC. | string | 10 | 017401 |\n| Invoice Registry Group Code | headerData | Apri_Group_Code | Invoice registration groups are used to group the access, entry and approval of invoices entered through the Register Invoices screen. Must be a valid Invoice Registry Group Code in CMiC. | string | 10 | CMIC |\n| Invoice Number | headerData | Apri_Inv_Code | This is the invoice number associated with this invoice. This number appears on the vendors’ invoice and it is not the same as the voucher number. | string | 20 | TESTINV988 |\n| Invoice Header Date | headerData | Apri_Inv_Date | This is the date the invoice was issued/created. | datetime | YYYY/MM/DD | 2025/03/31 |\n| Description | headerData | Apri_Desc | This is a short description for the invoice. | string | 30 | Purchases from Home Depot. |\n| Original Amount | headerData | Apri_Orig_Amt | Original invoice amount is the pre-tax invoice amount – this is used in the validation workflow. | number | 18 | 1825.00 |\n| Amount | headerData | Apri_Inv_Amt | This invoice amount can be the same as the Original Invoice Amount if no taxes are applied. Otherwise, this is the post-tax invoice amount (net amount). | number | 18 | 1825.00 |\n| Invoice Detail Line Number | detailData | Aprdist_Line_Num | This is the line number assigned to the detail line - unique to the invoice details. | number | 3 | 1 |\n| Detail Line Type | detailData | Aprdist_Type_Code | This is the line type assigned to the detail line – G for department type, J for job type, E for equipment type | string | 2 | G |\n| Detail Line Company Code | detailData | Aprdist_Comp_Code | This is the company code assigned to the detail line. | string | 8 | ZZ |\n| Job/Dept./Eqp. | detailData | Aprdist_User_Field2 | This field identifies the department code (for G types), job code (for J types) or the equipment code (for E types). | string | 10 | 00 |\n| Phase/Account/Category | detailData | Aprdist_User_Field3 | This field identifies the account code (for G types), phase code (for J types) or the equipment category code (for E types). | string | 16 | 1000 |\n| Category/Tran Code | detailData | Aprdist_User_Field4 | This field identifies the category code (for J types) or the tran code (for E types) - not applicable for G types. | string | 4 | |\n| Weight Measure Code | detailData | Aprdist_Wm_Code | This is the weight measure code associated with the detail line item. | string | 2 | NA |\n| Line Amount | detailData | Aprdist_Debit_Amt | This is the amount tied to the line item on the invoice. | number (with decimals) | 18, 2 | 100.00 |", "requestBody": { "content": { "multipart/form-data": { "schema": { "type": "object", "properties": { "fileDetails": { "type": "string", "example": "{\n\"srcUuid\": \"0AC3DE23133C61F0E063AF811DAC5CAD\",\n\"docTypeUuid\": \"ADC78973BD841170E053508010AC2DB4\",\n\"headerFlysheet\": \"AP Registered Invoice Header\",\n\"headerData\": {\n \"Apri_Comp_Code\": \"ZZ\",\n \"Apri_Ven_Code\": \"ZZ-WMT\",\n \"Apri_Group_Code\": \"CMIC\",\n \"Apri_Inv_Code\": \"TESTINV501\",\n \"Apri_Inv_Date\": \"2025-03-21\",\n \"Apri_Desc\": \"RS TEST WEBSERVICE\",\n \"Apri_Orig_Amt\": \"5\"\n},\n\"detailFlysheet\": \"AP Registered Invoice Details\",\n\"detailData\": [\n {\n \"Aprdist_Line_Num\": \"1\",\n \"Aprdist_Type_Code\": \"G\",\n \"Aprdist_Comp_Code\": \"ZZ\",\n \"Aprdist_User_Field2\": \"00\",\n \"Aprdist_User_Field3\": \"1000.100\",\n \"Aprdist_Wm_Code\": \"NA\",\n \"Aprdist_Debit_Amt\": \"1\"\n }\n]\n}" }, "document-content-file": { "type": "string", "format": "binary" } } } } } }, "responses": { "200": { "description": "OK", "headers": { "Content-Type": { "schema": { "type": "string", "example": "application/json" } } }, "content": { "application/json": { "schema": { "type": "object" }, "examples": { "example-0": { "summary": "Successful Response", "value": { "message": " Successfully Uploaded : Capture.PNG with UUID - 0282C4A9CC9F5B4EE06316821FAC4F7D" } }, "example-1": { "summary": "Successful Response", "value": { "message": " Successfully Uploaded : LCPTracker(7).xlsx with UUID - 04557AB709153556E06316821FACCA98" } } } } } } } } } }, "components": { "securitySchemes": { "cmicBasicAuth": { "type": "http", "scheme": "basic", "description": "Basic authentication" } } } } ````